## turses 0.2.11

=== Makefile ===
APPNAME=turses

PY=python
DIST=$(PY) setup.py sdist
PIPI=pip install
PIPFLAGS=--ignore-installed --no-deps

TESTRUNNER=nosetests
COVERTESTFLAGS=--with-coverage --cover-package=turses --cover-html
WATCHTESTFLAGS=--verbosity=0


all: turses

turses: clean test dist install

dist: clean
	$(DIST)

install:
	$(PY) setup.py develop

clean: pyc
	rm -rf dist/

test: pyc
	$(TESTRUNNER)

coverage: pyc
	$(TESTRUNNER) $(COVERTESTFLAGS)

pyc:
	find . -name "*.pyc" -exec rm {} \;

release: test bump merge publish develop tag

bump:
	$(EDITOR) HISTORY.rst turses/__init__.py
	git add -u
	git commit -m "bump `cat turses/__init__.py | grep -o "., ., ." | tr -s ', ' '.'`"

merge:
	git stash
	git checkout master
	git merge develop

tag:
	git tag v`cat turses/__init__.py | grep -o "., ., ." | tr -s ', ' '.'`

push:
	git push --tags origin master

publish:
	$(PY) setup.py sdist upload

watch:
	watchmedo shell-command --patterns="*.py" --recursive --command="$(TESTRUNNER) $(WATCHTESTFLAGS)"

=== debian/changelog ===
turses (0.2.11-2) unstable; urgency=low

  * debian/patches
    + Add dont_install_test_files.diff to avoid the 
      installation of breakable test files

 -- Daniel Echeverry <epsilon77@gmail.com>  Tue, 09 Apr 2013 21:09:36 -0500

turses (0.2.11-1) unstable; urgency=low

  * Initial release (Closes: #672649)

 -- Daniel Echeverry <epsilon77@gmail.com>  Sat, 26 Jan 2013 16:38:55 -0500

=== debian/control ===
Source: turses
Section: net
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org> 
Uploaders: Daniel Echeverry <epsilon77@gmail.com>
Build-Depends: debhelper (>= 9),
 python-all (>= 2.6.6-3~),
 python-docutils,
 python-mock,
 python-nose,
 python-oauth2,
 python-setuptools,
 python-sphinx (>= 1.0.7+dfsg),
 python-tweepy,
 python-urwid
X-Python-Version: >= 2.6
Standards-Version: 3.9.4
Homepage: https://github.com/alejandrogomez/turses
Vcs-Svn: svn://svn.debian.org/python-apps/packages/turses/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/archmage/trunk/

Package: turses
Architecture: all
Depends: python-oauth2,
 python-tweepy,
 python-urwid,
 ${misc:Depends},
 ${python:Depends}
Recommends: turses-doc
Description: Twitter client for the console
 turses is a Twitter client with a sexy curses interface
 written in Python. It's based on Tyrs by Nicolas Paris.
 The goal of the project is to build a full-featured,
 lightweight, and  extremely configurable Twitter client.
 .
 Some features:
  - Multiple timelines (buffers)
  - Multi-column
  - Tweet, Reply, Retweet
  - Delete tweet, Follow/Unfollow
  - Favorite/Unfavorite
  - Direct Messages
  - Open URLs in browser
  - Multiple accounts
  - Fully customizable
  - View any user's tweets

Package: turses-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, 
 ${misc:Depends}
Suggests: turses
Description: Documentation for Turses Twitter client for console
 turses is a Twitter client with a sexy curses interface
 written in Python. It's based on Tyrs by Nicolas Paris.
 The goal of the project is to build a full-featured,
 lightweight, and  extremely configurable Twitter client.
 .
 This package contains the turses documentation in various
 formats: HTML, Info and plain text.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@  --buildsystem=python_distutils --with=python2,sphinxdoc

override_dh_auto_clean:
	rm -rf $(CURDIR)/build
	rm -rf $(CURDIR)/turses.1
	rm -rf $(CURDIR)/turses.egg-info

override_dh_clean:
	dh_clean
	find . -name '*.pyc' -delete

override_dh_auto_build:
	dh_auto_build
	python setup.py build_sphinx

override_dh_installman:
	rst2man docs/user/manpage.rst turses.1
	dh_installman

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst

## turses 0.2.14

=== Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 bump:
 	$(EDITOR) HISTORY.rst turses/__init__.py
 	git add -u
-	git commit -m "bump `cat turses/__init__.py | grep -o "., ., ." | tr -s ', ' '.'`"
+	git commit -m "bump `cat turses/__init__.py | grep -o "[[:digit:]]*, [[:digit:]]*, [[:digit:]]*" | tr -s ', ' '.'`"
 
 merge:
 	git stash
@@ -45,7 +45,7 @@
 	git merge develop
 
 tag:
-	git tag v`cat turses/__init__.py | grep -o "., ., ." | tr -s ', ' '.'`
+	git tag v`cat turses/__init__.py | grep -o "[[:digit:]]*, [[:digit:]]*, [[:digit:]]*" | tr -s ', ' '.'`
 
 push:
 	git push --tags origin master

=== debian/changelog ===
turses (0.2.14-1) unstable; urgency=low

  * Team upload.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Ryan Kavanagh ]
  * New upstream release
  * Update people's copyright years
  * Fix broken Vcs-Browser entry to point to turses packaging instead of
    archmage packaging. 
  * Drop dont_install_tests.diff, applied upstream
  * turses requires tweepy (>= 2.0), bump the build-dependency version
  * Set the home directory to ./debian-tmp-sphinx during documentation build:
    Sphinx creates an instance of the tweepy.config.Configuration class,
    which creates the ${HOME}/.turses directory if it doesn't exist. This
    causes a FTBFS if ${HOME} is non-existent and can't be created.

 -- Ryan Kavanagh <rak@debian.org>  Tue, 09 Jul 2013 17:00:53 -0400

## turses 0.2.15

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 pyc:
 	find . -name "*.pyc" -exec rm {} \;
 
-release: test bump merge publish develop tag
+release: test bump merge publish tag
 
 bump:
 	$(EDITOR) HISTORY.rst turses/__init__.py

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/turses.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/turses.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/turses"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/turses"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
turses (0.2.15-2) unstable; urgency=medium

  * Added missing dependency on python-pkg-resources (Closes: #718508)
    + Set urgency to medium since this is a RC bug found in testing
  * Added myself to Uploaders

 -- Ryan Kavanagh <rak@debian.org>  Thu, 01 Aug 2013 16:59:26 -0400

turses (0.2.15-1) unstable; urgency=low

  * Team upload.
  * New upstream release

 -- Ryan Kavanagh <rak@debian.org>  Wed, 10 Jul 2013 08:16:34 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org> 
-Uploaders: Daniel Echeverry <epsilon77@gmail.com>
+Uploaders: Daniel Echeverry <epsilon77@gmail.com>, Ryan Kavanagh <rak@debian.org>
 Build-Depends: debhelper (>= 9),
  python-all (>= 2.6.6-3~),
  python-docutils,
@@ -11,17 +11,18 @@
  python-oauth2,
  python-setuptools,
  python-sphinx (>= 1.0.7+dfsg),
- python-tweepy,
+ python-tweepy (>= 2.0),
  python-urwid
 X-Python-Version: >= 2.6
 Standards-Version: 3.9.4
 Homepage: https://github.com/alejandrogomez/turses
-Vcs-Svn: svn://svn.debian.org/python-apps/packages/turses/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/archmage/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/turses/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/turses/trunk/
 
 Package: turses
 Architecture: all
 Depends: python-oauth2,
+ python-pkg-resources,
  python-tweepy,
  python-urwid,
  ${misc:Depends},

## turses 0.2.18

=== debian/changelog ===
turses (0.2.18-1) unstable; urgency=low

  * New upstream release

 -- Daniel Echeverry <epsilon77@gmail.com>  Fri, 23 Aug 2013 21:29:03 -0500

turses (0.2.16-1) unstable; urgency=low

  * New upstream release
  * debian/control
    + Update python-tweepy (>= 2.1) in B-D due to upstream change
  * debian/copyright
    + Extend copyright holders years
  * debian/patches
    + Patch setup.py to accept future versions of python-tweepy instead of
      requiring exactly version 2.1, which would cause a build failure if ever
      python-tweepy got updated; 02_change_strict_version_python-tweepy.diff

 -- Daniel Echeverry <epsilon77@gmail.com>  Fri, 09 Aug 2013 18:34:38 -0500

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python-oauth2,
  python-setuptools,
  python-sphinx (>= 1.0.7+dfsg),
- python-tweepy (>= 2.0),
+ python-tweepy (>= 2.1),
  python-urwid
 X-Python-Version: >= 2.6
 Standards-Version: 3.9.4

## turses 0.2.20

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 pyc:
 	find . -name "*.pyc" -exec rm {} \;
 
-release: test bump merge publish tag
+release: test bump merge publish tag push
 
 bump:
 	$(EDITOR) HISTORY.rst turses/__init__.py

=== debian/changelog ===
turses (0.2.20-1) unstable; urgency=low

  * New upstream release
  * debian/control
    + Bump Standards-Version to 3.9.5 (no changes)

 -- Daniel Echeverry <epsilon77@gmail.com>  Wed, 04 Dec 2013 20:55:46 -0500

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python-tweepy (>= 2.1),
  python-urwid
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://github.com/alejandrogomez/turses
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/turses/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/turses/trunk/

=== debian/rules ===
--- 
+++ 
@@ -11,11 +11,17 @@
 
 override_dh_clean:
 	dh_clean
+	rm -fr debian-sphinx-tmp
 	find . -name '*.pyc' -delete
 
 override_dh_auto_build:
 	dh_auto_build
-	python setup.py build_sphinx
+	# The $$HOME directory isn't guaranteed to exist at build time.
+	# This causes a FTBFS since sphinx creates an instance of the
+	# Configuration class, which tries to create $${HOME}/.turses
+	# if it doesn't exist.
+	[ -d debian-sphinx-tmp ] || mkdir debian-sphinx-tmp
+	HOME=debian-sphinx-tmp python setup.py build_sphinx
 
 override_dh_installman:
 	rst2man docs/user/manpage.rst turses.1

=== debian/watch ===
version=3
https://github.com/alejandrogomez/turses/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
